La distribution éducative pour débutants et initiés.

Vous n'êtes pas identifié(e).

Annonce

Les différentes isos de PrimTux4 sont disponibles, cliquez ici pour choisir votre version.

  • Pour être automatiquement informé des réponses à vos messages sur le forum, n'oubliez pas de cliquer sur "Suivre cette discussion" en bas de page. Mieux, en vous abonnant au flux RSS du forum, vous pourrez suivre tout nouveau message sur l'ensemble du forum.
  • En allant dans votre Profil, ligne "Vie privée", vous pouvez également cocher "Suivre automatiquement les sujets auxquels on a répondu.", vous n'aurez plus à cliquer sur "Suivre cette discussion" lorsque vous postez un message.
  • Carte des membres pouvant aider et des écoles sous PrimTux, merci de nous envoyer un email si vous souhaitez y apparaître.
  • Abonnez-vous à la newsletter sur le site principal pour être informé des nouveaux paquets, nouvelles versions, bugs...

#1 19-09-2018 06:28:28

mothsart
Modérateur
Inscription : 31-10-2016
Messages : 597

Paquet leterrier racontemoi

J'ai des gros soucis surla création d'un paquet leterrier-racontemoi sur la raspbian :

Ca compile bien mais au lancement, je choisi de lancer en anonyme (choix entre authentification et anonyme) et paf :

*** Error in `/usr/lib/leterrier-racont/leterrier-racont': double free or corruption (out): 0x023a7260 ***

J'ai choisi la branche git "version-1.0-stable". J'ai du ajouter quelques dépendances non prévu dans le fichier control et 2/3 bricoles (lié au logiciels du terrier) pour que ça compile.

Je ne sais plus trop quoi faire... trouver le soucis sur du code C++, c'est franchement pas évident.
Peux-être des pistes ici : soucis similaire lors de la compilation pour une autre archi.

Il y a des chances que ça soit lié à la version de QT (je vois plein de macro if version de QT dans le code) mais en réalité j'en suis au point mort.
A part supprimer du code jusqu'à débusquer l'erreur (et donc passer un temps incroyable dessus) j'ai pas vraiment de solution.

Je tenterais sans doute la branch master sans trop y croire.

Hors ligne

#2 19-09-2018 08:43:04

Philippe Dpt35
Modérateur
Lieu : Ille-et-Vilaine
Inscription : 28-10-2015
Messages : 2 372
Site Web

Re : Paquet leterrier racontemoi

Si c'est un bug de l'application elle-même, ce n'est pas notre priorité que d'en résoudre les problèmes.

On ne le mettra pas dans les logiciels complémentaires  "et pis c'est tout" lol

Je crois qu'on en a déjà pas mal fait. J'échange actuellement avec le développeur de Xnview qui est disposé à compiler son application pour RPi.

J'ai des soucis avec kiwix pour lequel il est difficile de s'y retrouver entre les différents modules proposés, les dépôts et les versions, les docs dispersées et pas toujours complètes !!!

J'ai tenté des compilations jusqu'à présent sans succès, mais j'ai encore d'autres tentatives à faire.

J'ai réussi à faire fonctionner une version serveur compilée pour arm que l'on trouve dans un des dépôts. Au pire il sera toujours possible de l'adapter pour un usage facilité en localhost. Cette version utilise le navigateur et pas une application autonome.

Hors ligne

Pied de page des forums